[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#370061: diff for 2.95.4.ds15-24.1 NMU



Package: gcc-2.95
Version: 2.95.4.ds15-24
Severity: normal
Tags: patch

Hi,

Attached is the diff for my gcc-2.95 2.95.4.ds15-24.1 NMU.
diff -u gcc-2.95-2.95.4.ds15/debian/rules gcc-2.95-2.95.4.ds15/debian/rules
--- gcc-2.95-2.95.4.ds15/debian/rules
+++ gcc-2.95-2.95.4.ds15/debian/rules
@@ -36,7 +36,7 @@
 	$(MAKE) -f debian/rules.conf control
 	touch $(control_stamp)
 
-configure: control $(configure_stamps)
+configure: patch $(configure_stamps)
 $(configure_stamp)-%:
 	$(MAKE) -f debian/rules2  TARGET=$* $@
 
diff -u gcc-2.95-2.95.4.ds15/debian/rules.patch gcc-2.95-2.95.4.ds15/debian/rules.patch
--- gcc-2.95-2.95.4.ds15/debian/rules.patch
+++ gcc-2.95-2.95.4.ds15/debian/rules.patch
@@ -182,6 +182,8 @@
 # conflicts with gcc-core-2.95.2-avr-1.1
 #all_patches += gcc-s390
 
+debian_patches += p-make-lang
+
 # testing only
 #debian_patches := $(all_patches)
 #debian_patches := $(min_patches)
diff -u gcc-2.95-2.95.4.ds15/debian/changelog gcc-2.95-2.95.4.ds15/debian/changelog
--- gcc-2.95-2.95.4.ds15/debian/changelog
+++ gcc-2.95-2.95.4.ds15/debian/changelog
@@ -1,3 +1,11 @@
+gcc-2.95 (2.95.4.ds15-24.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * p-make-lang.dpatch: Quote the arguments to sed in Make-lang.in.
+    Fixes FTBFS on PPC; patch from Matt Kraai. (Closes: #350688)
+
+ -- Steinar H. Gunderson <sesse@debian.org>  Sat,  3 Jun 2006 01:25:17 +0200
+
 gcc-2.95 (2.95.4.ds15-24) unstable; urgency=low
 
   * Thiemo Seufer <ths@debian.org>
only in patch2:
unchanged:
--- gcc-2.95-2.95.4.ds15.orig/debian/patches/p-make-lang.dpatch
+++ gcc-2.95-2.95.4.ds15/debian/patches/p-make-lang.dpatch
@@ -0,0 +1,56 @@
+#! /bin/sh -e
+
+# DP: Quote the arguments to sed in the Pascal Make-lang.in.
+
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch $pdir -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch $pdir -f --no-backup-if-mismatch -R -p0 < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+--- gcc/p/Make-lang.in.old	2006-01-31 12:15:09.000000000 +0000
++++ gcc/p/Make-lang.in	2006-01-31 12:16:05.000000000 +0000
+@@ -570,20 +570,20 @@
+ # Exclude patched files from language-independent object file list.
+ # Not necessary for gcc-3 since for a library (libbackend.a), the linker does this automatically.
+ p/stamp-gbe: stamp-objlist Makefile
+-	sed -e 's: ../: :g;\
+-	 s: convert.o::g;\
+-	 s: dbxout.o::g;\
+-	 s: dwarf2out.o::g;\
+-	 s: emit-rtl.o::g;\
+-	 s: expr.o::g;\
+-	 s: fold-const.o::g;\
+-	 s: function.o::g;\
+-	 s: integrate.o::g;\
+-	 s: optabs.o::g;\
+-	 s: stmt.o::g;\
+-	 s: stor-layout.o::g;\
+-	 s: toplev.o::g;\
+-	 s: tree.o::g' "$<" > "$@" || { rm -f "$@"; false; }
++	sed -e 's: ../: :g;'\
++'	 s: convert.o::g;'\
++'	 s: dbxout.o::g;'\
++'	 s: dwarf2out.o::g;'\
++'	 s: emit-rtl.o::g;'\
++'	 s: expr.o::g;'\
++'	 s: fold-const.o::g;'\
++'	 s: function.o::g;'\
++'	 s: integrate.o::g;'\
++'	 s: optabs.o::g;'\
++'	 s: stmt.o::g;'\
++'	 s: stor-layout.o::g;'\
++'	 s: toplev.o::g;'\
++'	 s: tree.o::g' "$<" > "$@" || { rm -f "$@"; false; }
+ 
+ gpc1$(exeext): $(P) $(GPC_GCC_VERSION_DEPS) $(GPC_OBJS) $(LIBDEPS)
+ 	@grep "@@ PATCHED FOR GPC 20030218 @@" $(srcdir)/stor-layout.c > /dev/null || \

Reply to: